package com.qmth.teachcloud.report.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "教研分析学校公用Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.reportSchool}")
public class SysReportController {

    @ApiOperation(value = "学期列表")
    @RequestMapping(value = "/common/list_semester", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "学期信息", response = Result.class)})
    public Result taskQuery(@ApiParam(value = "学校id", required = true) @RequestParam String schoolId) {
        return ResultUtil.ok();
    }
}
